import * as React from 'react';
import PropTypes from 'prop-types';

var LinkAction = function LinkAction(caption, href) {
  return React.createElement(
    'a',
    { href: href, type: 'LinkAction' },
    caption
  );
};

var ButtonAction = function ButtonAction(caption, onClick) {
  return React.createElement(
    'button',
    { onClick: onClick, type: 'ButtonAction' },
    caption
  );
};

var IconAction = function IconAction(icon) {
  return React.createElement(
    'div',
    { type: 'IconAction' },
    'Icon action ',
    icon,
    ' is not implemented yet!'
  );
};

var Action = function Action(_ref) {
  var type = _ref.type,
      caption = _ref.caption,
      href = _ref.href,
      icon = _ref.icon,
      onClick = _ref.onClick;

  switch (type) {
    case 'link':
      return LinkAction(caption, href);

    case 'button':
      return ButtonAction(caption, onClick);

    case 'icon':
      return IconAction(icon);
  }
  return React.createElement(
    'div',
    { type: 'Action' },
    'I\'m an unknown action'
  );
};

Action.propTypes = process.env.NODE_ENV !== "production" ? {
  type: PropTypes.oneOf(['link', 'button', 'icon']),
  caption: PropTypes.string.isRequired,
  href: PropTypes.string.isRequired,
  icon: PropTypes.string.optional,
  onClick: PropTypes.func.isRequired
} : {};

Action.defaultProps = {
  type: 'button',
  caption: '',
  href: '#',
  icon: 'default'
};

export default Action;