import * as React from 'react';
import PropTypes from 'prop-types';
import style from './style';
import Radium from 'radium';

var ActionsPane = function ActionsPane(_ref) {
  var children = _ref.children,
      style = _ref.style,
      direction = _ref.direction,
      align = _ref.align,
      inlineStyle = _ref.inlineStyle;

  return React.createElement(
    'div',
    {
      style: [style.base, style[direction], style[direction][align], inlineStyle],
      type: 'ActionsPane'
    },
    children
  );
};

ActionsPane.propTypes = process.env.NODE_ENV !== "production" ? {
  style: Object,
  direction: PropTypes.oneOf(['horizontal', 'column']),
  align: PropTypes.oneOf(['left', 'center', 'right'])
} : {};

ActionsPane.defaultProps = {
  direction: 'horizontal',
  align: 'left',
  style: style
};

//$FlowFixMe
export default Radium(ActionsPane);