import * as React from 'react';
import PropTypes from 'prop-types';
import Radium from 'radium';
import style from './styles';

var ComponentHeader = function ComponentHeader(_ref) {
  var header = _ref.header,
      place = _ref.place,
      style = _ref.style,
      children = _ref.children;
  return React.createElement(
    'div',
    {
      style: [style.base, style[place]],
      type: 'ComponentHeader'
    },
    React.createElement(
      'div',
      { style: style.header },
      header
    ),
    React.createElement(
      'div',
      { style: style.content },
      children
    )
  );
};

ComponentHeader.propTypes = process.env.NODE_ENV !== "production" ? {
  header: PropTypes.string.isRequired,
  place: PropTypes.oneOf(['top', 'left', 'right', 'bottom']),
  style: PropTypes.object
} : {};

ComponentHeader.defaultProps = {
  header: '',
  place: 'left',
  style: style
};

//$FlowFixMe
export default Radium(ComponentHeader);