import * as React from 'react';
import PropTypes from 'prop-types';
import Radium from 'radium';
import style from './styles';

var Layout = function Layout(_ref) {
  var children = _ref.children,
      direction = _ref.direction;
  return React.createElement(
    'div',
    {
      style: [style.base, style[direction]],
      type: 'Layout'
    },
    children
  );
};

Layout.propTypes = process.env.NODE_ENV !== "production" ? {
  direction: PropTypes.oneOf(['horizontal', 'vertical'])
} : {};

Layout.defaultProps = {
  style: style,
  direction: 'horizontal'
};

//$FlowFixMe
export default Radium(Layout);