var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import PropTypes from 'prop-types';
import { withRouter } from 'react-router-dom';
import Radium from 'radium';
import style from './style';

var NavBar = (_temp = _class = function (_React$Component) {
  _inherits(NavBar, _React$Component);

  function NavBar(props) {
    _classCallCheck(this, NavBar);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this._onNavBarItemClick = function (event, selectedPath) {
      var history = _this.props.history;


      _this.setState(function (prev) {
        return _extends({}, prev, {
          activePath: selectedPath
        });
      });

      history.push(selectedPath);
    };

    var pathname = props.location.pathname;

    _this.state = {
      activePath: pathname
    };
    return _this;
  }

  NavBar.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props,
        style = _props.style,
        inlineStyle = _props.inlineStyle,
        direction = _props.direction,
        children = _props.children;


    var resultChildren = React.Children.map(children, function (child) {
      if (!child.type || child.type.displayName !== 'NavBarItem') throw new Error('Child component should be instance of <NavBarItem />');

      var hasPath = 'path' in child.props;
      var isActive = hasPath && child.props.path === _this2.state.activePath;

      return React.cloneElement(child, {
        isActive: isActive,
        onNavBarNotify: _this2._onNavBarItemClick
      });
    });

    return React.createElement(
      'div',
      { style: [style.base, style[direction], inlineStyle] },
      resultChildren
    );
  };

  return NavBar;
}(React.Component), _class.defaultProps = {
  direction: 'vertical',
  style: style
}, _temp);

//$FlowFixMe

NavBar.propTypes = process.env.NODE_ENV !== "production" ? {
  style: PropTypes.object,
  direction: PropTypes.oneOf(['horizontal', 'vertical']),
  history: PropTypes.object
} : {};
export default withRouter(Radium(NavBar));