var _class, _temp2;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import * as React from 'react';
import PropTypes from 'prop-types';
import Radium from 'radium';
import style from './style';

var NavBarItem = (_temp2 = _class = function (_React$Component) {
  _inherits(NavBarItem, _React$Component);

  function NavBarItem() {
    var _temp, _this, _ret;

    _classCallCheck(this, NavBarItem);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this._handleClick = function (event) {
      var _this$props = _this.props,
          onNavBarNotify = _this$props.onNavBarNotify,
          onClick = _this$props.onClick,
          path = _this$props.path;


      if (onNavBarNotify) onNavBarNotify(event, path);

      if (onClick) onClick(event, path);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  NavBarItem.prototype.render = function render() {
    var _props = this.props,
        style = _props.style,
        inlineStyle = _props.inlineStyle,
        title = _props.title,
        isActive = _props.isActive;


    return React.createElement(
      'div',
      {
        style: [style.base, isActive && style.active, inlineStyle],
        onClick: this._handleClick
      },
      title
    );
  };

  return NavBarItem;
}(React.Component), _class.defaultProps = {
  style: style,
  path: '/',
  title: 'Link',
  active: false
}, _temp2);

//$FlowFixMe

NavBarItem.propTypes = process.env.NODE_ENV !== "production" ? {
  style: PropTypes.object,
  path: PropTypes.string.isRequired,
  title: PropTypes.string.isRequired,
  isActive: PropTypes.bool,
  onClick: PropTypes.func,
  onNavBarNotify: PropTypes.func
} : {};
var ThemedNavBarItem = Radium(NavBarItem);
ThemedNavBarItem.displayName = 'NavBarItem';

export default ThemedNavBarItem;