import * as React from 'react';
import PropTypes from 'prop-types';
import Radium from 'radium';
import style from './styles';
import ComponentHeader from '../ComponentHeader/index';

var TextInput = function TextInput(_ref) {
  var title = _ref.title,
      value = _ref.value,
      propName = _ref.propName,
      _onChange = _ref.onChange,
      style = _ref.style;

  return React.createElement(
    ComponentHeader,
    { header: title },
    React.createElement('input', {
      style: [style.base],
      type: 'TextInput',
      value: value,
      onChange: function onChange(e) {
        return _onChange && _onChange(propName, e.currentTarget.value);
      }
    })
  );
};

TextInput.propTypes = process.env.NODE_ENV !== "production" ? {
  title: PropTypes.string.isRequired,
  value: PropTypes.string.isRequired,
  propName: PropTypes.string,
  onChange: PropTypes.func,
  style: PropTypes.object
} : {};

TextInput.defaultProps = {
  title: '',
  value: '',
  style: style
};

//$FlowFixMe
export default Radium(TextInput);