'use strict';

exports.__esModule = true;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var LinkAction = function LinkAction(caption, href) {
  return React.createElement(
    'a',
    { href: href, type: 'LinkAction' },
    caption
  );
};

var ButtonAction = function ButtonAction(caption, onClick) {
  return React.createElement(
    'button',
    { onClick: onClick, type: 'ButtonAction' },
    caption
  );
};

var IconAction = function IconAction(icon) {
  return React.createElement(
    'div',
    { type: 'IconAction' },
    'Icon action ',
    icon,
    ' is not implemented yet!'
  );
};

var Action = function Action(_ref) {
  var type = _ref.type,
      caption = _ref.caption,
      href = _ref.href,
      icon = _ref.icon,
      onClick = _ref.onClick;

  switch (type) {
    case 'link':
      return LinkAction(caption, href);

    case 'button':
      return ButtonAction(caption, onClick);

    case 'icon':
      return IconAction(icon);
  }
  return React.createElement(
    'div',
    { type: 'Action' },
    'I\'m an unknown action'
  );
};

Action.propTypes = process.env.NODE_ENV !== "production" ? {
  type: _propTypes2.default.oneOf(['link', 'button', 'icon']),
  caption: _propTypes2.default.string.isRequired,
  href: _propTypes2.default.string.isRequired,
  icon: _propTypes2.default.string.optional,
  onClick: _propTypes2.default.func.isRequired
} : {};

Action.defaultProps = {
  type: 'button',
  caption: '',
  href: '#',
  icon: 'default'
};

exports.default = Action;
module.exports = exports['default'];