'use strict';

exports.__esModule = true;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var ActionsPane = function ActionsPane(_ref) {
  var children = _ref.children,
      style = _ref.style,
      direction = _ref.direction,
      align = _ref.align,
      inlineStyle = _ref.inlineStyle;

  return React.createElement(
    'div',
    {
      style: [style.base, style[direction], style[direction][align], inlineStyle],
      type: 'ActionsPane'
    },
    children
  );
};

ActionsPane.propTypes = process.env.NODE_ENV !== "production" ? {
  style: Object,
  direction: _propTypes2.default.oneOf(['horizontal', 'column']),
  align: _propTypes2.default.oneOf(['left', 'center', 'right'])
} : {};

ActionsPane.defaultProps = {
  direction: 'horizontal',
  align: 'left',
  style: _style2.default
};

//$FlowFixMe
exports.default = (0, _radium2.default)(ActionsPane);
module.exports = exports['default'];