'use strict';

exports.__esModule = true;
var ActionsPaneColors = exports.ActionsPaneColors = {
  border: 'grey'
};

var createActionsPaneStyle = exports.createActionsPaneStyle = function createActionsPaneStyle() {
  var colors = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : ActionsPaneColors;
  return {
    base: {
      display: 'flex',
      flex: 1,
      border: '1px solid ' + colors.border
    },

    horizontal: {
      flexDirection: 'row',
      alignItems: 'center',
      maxHeight: '30px',
      left: {
        justifyContent: 'flex-start'
      },

      center: {
        justifyContent: 'center'
      },

      right: {
        justifyContent: 'flex-end'
      }
    },

    vertical: {
      flexDirection: 'column',
      maxWidth: '200px',
      left: {
        alignItems: 'flex-start'
      },

      center: {
        alignItems: 'center'
      },

      right: {
        alignItems: 'flex-end'
      }
    }
  };
};

var ActionsPaneStyle = exports.ActionsPaneStyle = createActionsPaneStyle(ActionsPaneColors);

exports.default = ActionsPaneStyle;