'use strict';

var _navalia = require('navalia');

var _jestImageSnapshot = require('jest-image-snapshot');

expect.extend({ toMatchImageSnapshot: _jestImageSnapshot.toMatchImageSnapshot });

describe('Visual Regressions', function () {
  var chrome = null;
  var server = null;

  beforeEach(function () {
    server = require('../../../scripts/server');
    chrome = new _navalia.Chrome({
      flags: {
        headless: true,
        disableGpu: true,
        hideScrollbars: true,
        noSandbox: true
      }
    });
  });

  afterEach(function () {
    chrome.done();
    server.close();
  });

  it('should NEVER happen', function () {
    return chrome.goto('http://localhost:3000/').then(function () {
      return chrome.screenshot();
    }).then(function (image) {
      console.log('Image length: ' + image.length);
      expect(image).toMatchImageSnapshot();
    });
  });
});