'use strict';

exports.__esModule = true;
exports.ButtonStyle = exports.createButtonStyle = exports.ButtonColors = undefined;

var _color = require('color');

var _color2 = _interopRequireDefault(_color);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ButtonColors = exports.ButtonColors = {
  baseColor: '#fff',
  baseBackground: '#222222',
  primaryBackground: '#0074d9',
  warningBackground: '#f00'
};

var createButtonStyle = exports.createButtonStyle = function createButtonStyle() {
  var colors = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : ButtonColors;
  return {
    base: {
      color: colors.baseColor,
      ':hover': {
        background: (0, _color2.default)(colors.baseBackground).lighten(0.2).hex()
      },
      background: colors.baseBackground
    },

    primary: {
      background: colors.baseBackground
    },

    small: {
      fontSize: '12px',
      padding: '5px',
      fontWeight: '300',
      borderRadius: '4px'
    },

    normal: {
      fontSize: '16px',
      fontWeight: '300',
      padding: '10px',
      borderRadius: '4px'
    },

    big: {
      fontSize: '24px',
      fontWeight: '300',
      padding: '15px',
      minWidth: '150px',
      borderRadius: '4px'
    },

    warning: {
      background: colors.warningBackground
    }
  };
};

var ButtonStyle = exports.ButtonStyle = createButtonStyle(ButtonColors);

exports.default = ButtonStyle;