'use strict';

exports.__esModule = true;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var ComponentHeader = function ComponentHeader(_ref) {
  var header = _ref.header,
      place = _ref.place,
      style = _ref.style,
      children = _ref.children;
  return React.createElement(
    'div',
    {
      style: [style.base, style[place]],
      type: 'ComponentHeader'
    },
    React.createElement(
      'div',
      { style: style.header },
      header
    ),
    React.createElement(
      'div',
      { style: style.content },
      children
    )
  );
};

ComponentHeader.propTypes = process.env.NODE_ENV !== "production" ? {
  header: _propTypes2.default.string.isRequired,
  place: _propTypes2.default.oneOf(['top', 'left', 'right', 'bottom']),
  style: _propTypes2.default.object
} : {};

ComponentHeader.defaultProps = {
  header: '',
  place: 'left',
  style: _styles2.default
};

//$FlowFixMe
exports.default = (0, _radium2.default)(ComponentHeader);
module.exports = exports['default'];