'use strict';

exports.__esModule = true;
var NavBarColors = exports.NavBarColors = {
  color: '#fff',
  background: '#222222'
};

var createNavBarStyle = exports.createNavBarStyle = function createNavBarStyle() {
  var colors = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : NavBarColors;
  return {
    base: {
      display: 'flex',
      color: colors.color,
      background: colors.background
    },

    horizontal: {
      height: '50px',
      flexDirection: 'row'
    },

    vertical: {
      width: '200px',
      padding: '15px 0 15px 15px',
      flexDirection: 'column'
    }
  };
};

var NavBarStyle = exports.NavBarStyle = createNavBarStyle(NavBarColors);

exports.default = NavBarStyle;