'use strict';

exports.__esModule = true;

var _class, _temp2;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NavBarItem = (_temp2 = _class = function (_React$Component) {
  _inherits(NavBarItem, _React$Component);

  function NavBarItem() {
    var _temp, _this, _ret;

    _classCallCheck(this, NavBarItem);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this._handleClick = function (event) {
      var _this$props = _this.props,
          onNavBarNotify = _this$props.onNavBarNotify,
          onClick = _this$props.onClick,
          path = _this$props.path;


      if (onNavBarNotify) onNavBarNotify(event, path);

      if (onClick) onClick(event, path);
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  NavBarItem.prototype.render = function render() {
    var _props = this.props,
        style = _props.style,
        inlineStyle = _props.inlineStyle,
        title = _props.title,
        isActive = _props.isActive;


    return React.createElement(
      'div',
      {
        style: [style.base, isActive && style.active, inlineStyle],
        onClick: this._handleClick
      },
      title
    );
  };

  return NavBarItem;
}(React.Component), _class.defaultProps = {
  style: _style2.default,
  path: '/',
  title: 'Link',
  active: false
}, _temp2);

//$FlowFixMe

NavBarItem.propTypes = process.env.NODE_ENV !== "production" ? {
  style: _propTypes2.default.object,
  path: _propTypes2.default.string.isRequired,
  title: _propTypes2.default.string.isRequired,
  isActive: _propTypes2.default.bool,
  onClick: _propTypes2.default.func,
  onNavBarNotify: _propTypes2.default.func
} : {};
var ThemedNavBarItem = (0, _radium2.default)(NavBarItem);
ThemedNavBarItem.displayName = 'NavBarItem';

exports.default = ThemedNavBarItem;
module.exports = exports['default'];