'use strict';

exports.__esModule = true;
exports.NavBarItemStyle = exports.createNavBarItemStyle = exports.NavBarItemColors = undefined;

var _color = require('color');

var _color2 = _interopRequireDefault(_color);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NavBarItemColors = exports.NavBarItemColors = {
  color: '#fff',
  background: '#222222',
  backgroundActive: '#4e4343'
};

var createNavBarItemStyle = exports.createNavBarItemStyle = function createNavBarItemStyle() {
  var colors = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : NavBarItemColors;
  return {
    base: {
      display: 'flex',
      justifyContent: 'flex-start',
      alignItems: 'center',
      minHeight: '40px',
      cursor: 'pointer',
      color: colors.color,
      background: colors.background,
      borderRadius: '4px 0 0 4px',
      padding: '5px',

      ':hover': {
        background: (0, _color2.default)(colors.background).lighten(0.2).hex()
      }
    },

    horizontal: {
      flexDirection: 'row'
    },

    vertical: {
      flexDirection: 'column'
    },

    active: {
      background: colors.backgroundActive,
      ':hover': {
        background: (0, _color2.default)(colors.backgroundActive).lighten(0.2).hex()
      }
    }
  };
};

var NavBarItemStyle = exports.NavBarItemStyle = createNavBarItemStyle(NavBarItemColors);

exports.default = NavBarItemStyle;