'use strict';

exports.__esModule = true;

var _class, _temp2;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Page = (_temp2 = _class = function (_React$Component) {
  _inherits(Page, _React$Component);

  function Page() {
    var _temp, _this, _ret;

    _classCallCheck(this, Page);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this._renderHeader = function () {
      var _this$props = _this.props,
          header = _this$props.header,
          onClose = _this$props.onClose;


      return React.createElement(
        'div',
        {
          className: 'page-header',
          style: _style2.default.header
        },
        header && React.createElement(
          'div',
          { style: _style2.default.headerTitle },
          React.createElement(
            'h1',
            null,
            header
          )
        ),
        onClose && React.createElement(
          'div',
          { style: _style2.default.headerButton },
          React.createElement(
            'button',
            { onClick: onClose },
            'X'
          )
        )
      );
    }, _this._renderContent = function (content) {
      return React.createElement(
        'div',
        {
          className: 'page-content',
          style: _style2.default.content
        },
        content
      );
    }, _this._renderFooter = function (footer) {
      return React.createElement(
        'div',
        {
          className: 'page-footer',
          style: _style2.default.footer
        },
        footer
      );
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  Page.prototype.render = function render() {
    var children = this.props.children;

    var content = '';
    var footer = '';

    React.Children.forEach(children, function (child) {
      if (!child.type || child.type.displayName !== 'PageContent' && child.type.displayName !== 'PageFooter') throw new Error('Child component should be instance of <PageContent/> or <PageFooter/>');

      var children = child.props.children;


      switch (child.type.displayName) {
        case 'PageContent':
          content = children;
          break;
        case 'PageFooter':
          footer = children;
          break;
      }
    });

    return React.createElement(
      'div',
      {
        className: 'page-root',
        style: _style2.default.root
      },
      this._renderHeader(),
      this._renderContent(content),
      this._renderFooter(footer)
    );
  };

  return Page;
}(React.Component), _class.defaultProps = {
  header: ''
}, _temp2);
exports.default = (0, _radium2.default)(Page);
module.exports = exports['default'];