'use strict';

exports.__esModule = true;
exports.Select = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _class, _temp, _initialiseProps;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _style = require('./style');

var _style2 = _interopRequireDefault(_style);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Select = exports.Select = (_temp = _class = function (_React$Component) {
  _inherits(Select, _React$Component);

  function Select(props) {
    _classCallCheck(this, Select);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _initialiseProps.call(_this);

    var _this$props = _this.props,
        options = _this$props.options,
        value = _this$props.value;


    _this.state = {
      isLoading: false,
      options: options.slice(0, 50),
      value: value,
      isOptionsVisible: false
    };
    return _this;
  }

  Select.prototype.componentDidMount = function componentDidMount() {
    var options = this.state.options;


    if (options.length === 0) {
      this._loadOptions();
    }
  };

  Select.prototype.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    var _this2 = this;

    this.setState(function (prev) {
      return _extends({}, prev, {
        options: nextProps.options.slice(0, 50),
        value: nextProps.value !== _this2.props.value ? nextProps.value : prev.value
      });
    });
  };

  Select.prototype.shouldComponentUpdate = function shouldComponentUpdate(nextProps, nextState) {
    var result = false;

    result = result || nextProps.value !== this.props.value;
    result = result || this._isOptionsDifferent(nextProps.options, this.props.options);

    result = result || nextState.isLoading !== this.state.isLoading;
    result = result || this._isOptionsDifferent(nextState.options, this.state.options);
    result = result || this._isOptionsDifferent(nextProps.options, this.state.options);
    result = result || nextState.value !== this.state.value;
    result = result || nextState.isOptionsVisible !== this.state.isOptionsVisible;

    return result;
  };

  Select.prototype.render = function render() {
    var _props = this.props,
        loadOptions = _props.loadOptions,
        loadOptionsAsync = _props.loadOptionsAsync,
        title = _props.title;


    if (loadOptions && loadOptionsAsync) throw new Error('Select component should have only one of functions "loadOptions" or "loadOptionsAsync"');

    return React.createElement(
      'div',
      { style: _style2.default.root },
      React.createElement(
        'div',
        { style: _style2.default.title },
        title
      ),
      this._renderValueText(),
      this._renderSelectButton(),
      this._renderRefreshButton(),
      this._renderCleanButton()
    );
  };

  return Select;
}(React.Component), _class.defaultProps = {
  title: '',
  value: { id: undefined, title: undefined },
  options: []
}, _initialiseProps = function _initialiseProps() {
  var _this3 = this;

  this._isOptionsDifferent = function (array1, array2) {
    var result = array1.length !== array2.length;

    if (!result) {
      for (var i = 0; i < array1.length; i++) {
        result = result || array1[i].id !== array2[i].id;
        result = result || array1[i].title !== array2[i].title;
      }
    }

    return result;
  };

  this._handleSelectClick = function () {
    _this3.setState(function (prev) {
      return _extends({}, prev, {
        isOptionsVisible: !prev.isOptionsVisible
      });
    });
  };

  this._renderSelectButton = function () {
    var isOptionsVisible = _this3.state.isOptionsVisible;

    if (!isOptionsVisible) return React.createElement(
      _Button2.default,
      { type: 'small', className: 'select-btn-open', onClick: function onClick() {
          return _this3._handleSelectClick();
        } },
      '...'
    );
  };

  this._loadOptions = function () {
    var value = _this3.state.value;
    var _props2 = _this3.props,
        loadOptions = _props2.loadOptions,
        loadOptionsAsync = _props2.loadOptionsAsync;


    loadOptions && _this3.setState(function (prev) {
      return _extends({}, prev, {
        options: loadOptions(value)
      });
    });

    loadOptionsAsync && loadOptionsAsync(value);
  };

  this._handleRefreshClick = function () {
    _this3.setState(function (prev) {
      return _extends({}, prev, {
        options: []
      });
    }, function () {
      _this3._loadOptions();
    });
  };

  this._renderRefreshButton = function () {
    var _props3 = _this3.props,
        loadOptions = _props3.loadOptions,
        loadOptionsAsync = _props3.loadOptionsAsync;


    if (loadOptions || loadOptionsAsync) return React.createElement(
      _Button2.default,
      { type: 'small', className: 'select-btn-refresh', onClick: function onClick() {
          return _this3._handleRefreshClick();
        } },
      'R'
    );
  };

  this._handleCleanClick = function () {
    _this3.setState(function (prev) {
      return _extends({}, prev, {
        value: { id: undefined, title: undefined }
      });
    }, function () {
      var onValueChanged = _this3.props.onValueChanged;

      onValueChanged && onValueChanged('');
    });
  };

  this._renderCleanButton = function () {
    var value = _this3.state.value;


    if (value.title) return React.createElement(
      _Button2.default,
      { type: 'small', className: 'select-btn-clean', onClick: function onClick() {
          return _this3._handleCleanClick();
        } },
      'X'
    );
  };

  this._renderValueText = function () {
    var title = _this3.state.value.title;


    return React.createElement(
      'div',
      {
        style: { flex: '1 0' }
      },
      React.createElement(
        'div',
        {
          style: _style2.default.value,
          className: 'select-value-text',
          onClick: function onClick() {
            return _this3._handleSelectClick();
          }
        },
        title
      ),
      _this3._renderOptionsList()
    );
  };

  this._renderOptionsList = function () {
    var isOptionsVisible = _this3.state.isOptionsVisible;


    if (isOptionsVisible) {
      var options = _this3.state.options;

      return React.createElement(
        'div',
        {
          className: 'select-options-list',
          style: _style2.default.optionsList
        },
        _this3._renderSearchInput(),
        options && options.map(function (item, key) {
          return _this3._renderOptionsListItem(key, item);
        })
      );
    }
  };

  this._handleOptionsListItemClick = function (value) {
    var onValueChange = _this3.props.onValueChange;

    onValueChange && onValueChange(value);

    _this3.setState(function (prev) {
      return _extends({}, prev, {
        value: value,
        isOptionsVisible: false
      });
    });
  };

  this._renderOptionsListItem = function (key, item) {
    var title = item.title;

    return React.createElement(
      'div',
      {
        className: 'select-options-list-item',
        key: key,
        style: _style2.default.optionsListItem,
        onClick: function onClick() {
          return _this3._handleOptionsListItemClick(item);
        }
      },
      title
    );
  };

  this._handleSearch = function (value) {
    _this3.setState(function (prev) {
      return _extends({}, prev, {
        value: value
      });
    }, function () {
      return _this3._loadOptions();
    });
  };

  this._renderSearchInput = function () {
    var _state = _this3.state,
        isOptionsVisible = _state.isOptionsVisible,
        isLoading = _state.isLoading;
    var _props4 = _this3.props,
        loadOptions = _props4.loadOptions,
        loadOptionsAsync = _props4.loadOptionsAsync;


    if (isOptionsVisible && (loadOptions || loadOptionsAsync)) return React.createElement('input', {
      className: 'select-search-input',
      style: _style2.default.optionsSearch,
      enabled: (!isLoading).toString(),
      onChange: function onChange(event) {
        return _this3._handleSearch(event.currentTarget.value);
      },
      placeholder: 'input data'
    });
  };
}, _temp);
Select.propTypes = process.env.NODE_ENV !== "production" ? {
  title: _propTypes2.default.string,
  options: _propTypes2.default.arrayOf(_propTypes2.default.object),
  value: _propTypes2.default.object,
  loadOptionsAsync: _propTypes2.default.func
} : {};
exports.default = (0, _radium2.default)(Select);