'use strict';

exports.__esModule = true;

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _radium = require('radium');

var _radium2 = _interopRequireDefault(_radium);

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

var _index = require('../ComponentHeader/index');

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var TextInput = function TextInput(_ref) {
  var title = _ref.title,
      value = _ref.value,
      propName = _ref.propName,
      _onChange = _ref.onChange,
      style = _ref.style;

  return React.createElement(
    _index2.default,
    { header: title },
    React.createElement('input', {
      style: [style.base],
      type: 'TextInput',
      value: value,
      onChange: function onChange(e) {
        return _onChange && _onChange(propName, e.currentTarget.value);
      }
    })
  );
};

TextInput.propTypes = process.env.NODE_ENV !== "production" ? {
  title: _propTypes2.default.string.isRequired,
  value: _propTypes2.default.string.isRequired,
  propName: _propTypes2.default.string,
  onChange: _propTypes2.default.func,
  style: _propTypes2.default.object
} : {};

TextInput.defaultProps = {
  title: '',
  value: '',
  style: _styles2.default
};

//$FlowFixMe
exports.default = (0, _radium2.default)(TextInput);
module.exports = exports['default'];